-- MySQL Workbench Synchronization
-- Generated: 2020-1-9 22:31
-- Model: nccs
-- Version: R06.06.03
-- Project: idste-server
-- Author: marh(marh@idste.cn)

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Table `nccs`.`DeviceExt`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `nccs`.`DeviceExt` (
  `DevID` VARCHAR(50) NOT NULL,
  `Name` VARCHAR(45) NOT NULL,
  `Config` VARCHAR(2048) NOT NULL DEFAULT '{}',
  UNIQUE INDEX `DeviceExt_uni` (`DevID` ASC, `Name` ASC),
  INDEX `DeviceExt_idx` (`DevID` ASC, `Name` ASC),
  CONSTRAINT `DevID`
    FOREIGN KEY (`DevID`)
    REFERENCES `nccs`.`DeviceList` (`DevID`)
    ON DELETE CASCADE
    ON UPDATE CASCADE)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COMMENT = '设备扩展信息表';

CREATE TABLE IF NOT EXISTS `nccs`.`DeviceStatusExt` (
  `ID` VARCHAR(50) NOT NULL COMMENT 'extended device id',
  `Name` VARCHAR(50) NOT NULL COMMENT 'status name',
  `MainID` VARCHAR(50) NOT NULL COMMENT 'main device id',
  `Status` VARCHAR(1024) NOT NULL DEFAULT '{}' COMMENT 'extened device\'s status, json format',
  `UpdateAt` DATETIME NOT NULL,
  UNIQUE INDEX `DeviceStatusExtUni` (`MainID` ASC, `Name` ASC),
  INDEX `DeviceStatusExtIdx` (`MainID` ASC, `ID` ASC))
ENGINE = MEMORY
DEFAULT CHARACTER SET = utf8;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
